Subject: I-D Action: draft-wu-netmod-yang-xml-doc-conventions-00.txt

From: [email-masked]
Date: Fri, 26 Jan 2018 19:56:27 -0800

A New Internet-Draft is available from the on-line Internet-Drafts directories.

        Title           : Documentation Conventions for Expressing YANG in XML
        Authors         : Qin Wu
                          Adrian Farrel
                          Benoît Claise
	Filename        : draft-wu-netmod-yang-xml-doc-conventions-00.txt
	Pages           : 9
	Date            : 2018-01-26

Abstract:
   Many documents that define YANG modules also include examples
   presented in XML.

   IETF documentation has specific limits on line length and some XML
   examples have to include line wraps that would not normally be
   allowed according to the XML representation rules of RFC7950 and
   RFC7952.

   This document lays out documentation conventions that allow YANG
   examples to be presented in IETF documentation when leaf node
   encoding would otherwise exceed the maximum line length.  There are
   no implications in this document for YANG parsers: this document does
   not change the rules for presenting YANG models or for encoding YANG
   in data files or in the wire.

The IETF datatracker status page for this draft is:
https://datatracker.ietf.org/doc/draft-wu-netmod-yang-xml-doc-conventions/

There are also htmlized versions available at:
https://tools.ietf.org/html/draft-wu-netmod-yang-xml-doc-conventions-00
https://datatracker.ietf.org/doc/html/draft-wu-netmod-yang-xml-doc-conventions-00

Please note that it may take a couple of minutes from the time of submission
until the htmlized version and diff are available at tools.ietf.org.

Internet-Drafts are also available by anonymous FTP at:
ftp://ftp.ietf.org/internet-drafts/